LinearCombiner Class Reference

`#include <linearCombiner.h>`

Inheritance diagram for LinearCombiner:
Collaboration diagram for LinearCombiner:

## Public Member Functions

| LinearCombiner ()
| ~LinearCombiner ()
Public Member Functions inherited from Combiner
| Combiner ()
virtual | ~Combiner ()
virtual Prediction | combine (const std::vector< Prediction > &)=0

## Additional Inherited Members

Protected Member Functions inherited from Combiner
virtual Prediction | filter (const Prediction &prediction) const

## Detailed Description

Linear combiner

Definition at line 34 of file linearCombiner.h.

## Constructor & Destructor Documentation

## LinearCombiner()

LinearCombiner::LinearCombiner | ( |  | ) |

## ~LinearCombiner()

LinearCombiner::~LinearCombiner | ( |  | ) |

The documentation for this class was generated from the following file:

- /build/presage-XwIsB9/presage-0.9.1/src/lib/core/linearCombiner.h